description

# Cookie class Null safety

Representation of a cookie. For cookies received by the server as Cookie header values only name and value properties will be set. When building a cookie for the 'set-cookie' header in the server and when receiving cookies in the client as 'set-cookie' headers all fields can be used.

## Constructors

Cookie(String name, String value)
  Creates a new cookie setting the name and value. [...]
  factory
Cookie.fromSetCookieValue(String value)
  Creates a new cookie by parsing a header value from a 'set-cookie' header.
  factory

## Properties

domain ↔ String?
  The domain that the cookie applies to.
  read / write
expires ↔ DateTime?
  The time at which the cookie expires.
  read / write
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
httpOnly ↔ bool
  Whether the cookie is only sent in the HTTP request and is not made available to client side scripts.
  read / write
maxAge ↔ int?
  The number of seconds until the cookie expires. A zero or negative value means the cookie has expired.
  read / write
name ↔ String
  The name of the cookie. [...]
  read / write
path ↔ String?
  The path within the domain that the cookie applies to.
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
secure ↔ bool
  Whether to only send this cookie on secure connections.
  read / write
value ↔ String
  The value of the cookie. [...]
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns the formatted string representation of the cookie. The string representation can be used for for setting the Cookie or 'set-cookie' headers
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited